package ru.ulstu.admin.model;

import ru.ulstu.aspirant.model.Aspirant;
import ru.ulstu.aspirant.model.Base;
import ru.ulstu.aspirant.model.Speciality;
import ru.ulstu.indicator.model.Course;

import java.util.Date;

public class AspirantForm {
    private Integer id;
    private String surname;
    private String name;
    private String patronymic;
    private Course course;
    private Integer managerId;
    private Date birthDate;
    private Speciality speciality;
    private String theme;
    private Base base;
    private Integer userId;
    private String email;

    public AspirantForm() {
    }

    public AspirantForm(Aspirant aspirant) {
        this.id = aspirant.getId();
        this.name = aspirant.getName();
        this.surname = aspirant.getSurname();
        this.patronymic = aspirant.getPatronymic();
        this.base = aspirant.getBase();
        this.course = aspirant.getCourse();
        this.managerId = aspirant.getManager() == null ? null : aspirant.getManager().getId();
        this.birthDate = aspirant.getBirthDate();
        this.speciality = aspirant.getSpeciality();
        this.theme = aspirant.getTheme();
        this.userId = aspirant.getUser() == null ? null : aspirant.getUser().getId();
        this.email = aspirant.getUser() == null ? null : aspirant.getUser().getLogin();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPatronymic() {
        return patronymic;
    }

    public void setPatronymic(String patronymic) {
        this.patronymic = patronymic;
    }

    public Course getCourse() {
        return course;
    }

    public void setCourse(Course course) {
        this.course = course;
    }

    public Integer getManagerId() {
        return managerId;
    }

    public void setManagerId(Integer managerId) {
        this.managerId = managerId;
    }

    public Date getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(Date birthDate) {
        this.birthDate = birthDate;
    }

    public Speciality getSpeciality() {
        return speciality;
    }

    public void setSpeciality(Speciality speciality) {
        this.speciality = speciality;
    }

    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    public Base getBase() {
        return base;
    }

    public void setBase(Base base) {
        this.base = base;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
}
